import {
    ApiModel
} from "../../utils/api";
const _Http = new ApiModel();
Page({
    /**
     * 页面的初始数据
     */
    data: {
        url: {},
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const url = decodeURIComponent(options.url);
        //判断是否存在登录态
        if (!wx.getStorageSync('userData').token) {
            getApp().globalData.liveUrl = url;
            wx.setStorageSync('liveUrl', url)
            wx.reLaunch({
                url: '/pages/login/index'
            })
        } else {
            _Http.basic({
                "accesstoken": wx.getStorageSync('userData').token,
                "classname": "customer.usercenter.usermsg.usermsg",
                "method": "query_usermsg",
                "content": {}
            }).then(res => {
                if (res.msg != '成功') {
                    getApp().globalData.liveUrl = url;
                    wx.setStorageSync('liveUrl', url)
                    wx.reLaunch({
                        url: '/pages/login/index'
                    })
                }
            })
        };
        this.setData({
            url: url
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },


    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})